# $Revision: 1.28 $, $Date: 2010/06/06 08:36:46 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Gnome2-Canvas
Summary:	Perl interface to the GNOME Canvas
Summary(pl.UTF-8):	Interfejs perlowy do GNOME Canvas
Name:		perl-Gnome2-Canvas
Version:	1.002
Release:	7
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	93405a987ba4bbd03c2f91592b88f5cb
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	gtk+2-devel
BuildRequires:	libgnomecanvas-devel >= 2.14.0
BuildRequires:	perl-ExtUtils-Depends >= 0.200
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib >= 1.120
BuildRequires:	perl-Gtk2 >= 1.121
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	libgnomecanvas >= 2.14.0
Requires:	perl-Glib >= 1.120
Requires:	perl-Gtk2 >= 1.121
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Gnome2 Perl module allows a perl developer to use the GnomeCanvas
widget.

%description -l pl.UTF-8
Moduł Perla Gnome2 umożliwia programistom perlowym korzystanie z
kontrolki GnomeCanvas.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/Gnome2/Canvas/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO README
%{perl_vendorarch}/Gnome2/Canvas.pm
%dir %{perl_vendorarch}/auto/Gnome2/Canvas
%dir %{perl_vendorarch}/Gnome2/Canvas
%dir %{perl_vendorarch}/Gnome2/Canvas/Install
%attr(755,root,root) %{perl_vendorarch}/auto/Gnome2/Canvas/*.so
%{perl_vendorarch}/auto/Gnome2/Canvas/*.bs
%{perl_vendorarch}/Gnome2/Canvas/Install/*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gnome2-Canvas.spec,v $
Revision 1.28  2010/06/06 08:36:46  arekm
- release 7

Revision 1.27  2008/03/02 17:32:08  radek
- release 6

Revision 1.26  2008-02-10 12:10:43  arekm
- rel 5

Revision 1.25  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.24  2007-03-26 22:16:40  radek
- rel 4

Revision 1.23  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.21  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.20  2006/05/26 23:35:31  qboosh
- merged deps update from AC-branch

Revision 1.17.2.2  2006/05/18 21:19:08  baggins
- release 3
- strict reqs

Revision 1.17.2.1  2006/05/15 13:35:15  baggins
- release 2
- BRs for GNOME 2.14

Revision 1.19  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.18  2004/11/03 22:30:24  paladine
- formatting

Revision 1.17  2004/09/17 04:32:31  freetz
- 1.002

Revision 1.16  2004/08/01 20:52:50  ankry
- added missing dir, rel. 2

Revision 1.15  2004/07/25 21:52:43  freetz
- 1.001

Revision 1.14  2004/06/07 16:57:16  qboosh
- fixed Name

Revision 1.13  2004/06/05 20:26:52  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.12  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.11  2004/04/14 16:45:10  ankry
- cosmetics

Revision 1.10  2004/04/01 16:04:31  freetz
- 1.00

Revision 1.9  2004/03/19 00:01:36  freetz
- cosmetics

Revision 1.8  2004/03/18 23:56:58  freetz
- 0.93, more BRs

Revision 1.7  2004/02/16 22:51:42  freetz
- 0.92, more Rs/BRs, depends on perl-Glib from DEVEL

Revision 1.6  2004/01/09 15:35:30  freetz
- 0.90

Revision 1.5  2003/11/28 15:44:05  freetz
- up to 0.34
- updated BRs
- more %%files

Revision 1.4  2003/10/24 21:52:16  freetz
- 0.32
- new style bcond
- R perl-Gnome2-common

Revision 1.3  2003/10/13 22:17:09  qboosh
- missing dirs

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/06 11:05:18  krzak
- initial
